window.addEventListener("load", function (e) {

    function createMarketingCookie(name, value, days) {
        var expires
        if (days) {
            var date = new Date()
            date.setTime(date.getTime() + days * 24 * 60 * 60 * 1000)
            expires = '; expires=' + date.toGMTString()
        } else {
            expires = ''
        }
        document.cookie = name + '=' + value + expires + '; path=/'
    }

    function readMarektingCookie(name) {
        var nameEQ = name + '='
        var ca = document.cookie.split(';')

        for (var i = 0; i < ca.length; i++) {
            var c = ca[i]
            while (c.charAt(0) === ' ') {
                c = c.substring(1, c.length)
            }
            if (c.indexOf(nameEQ) === 0) {
                return c.substring(nameEQ.length, c.length)
            }
        }

        return null
    }

    function eraseMarketingCookie(name) {
        createCookie(name, '', -1)
    }


    if (readMarektingCookie("marketingPopup") === null) {
        createMarketingCookie("marketingPopup", "true", 1);
        marketingPopup();
    } else {
        if (readMarektingCookie("marketingPopup") === "true") {
            marketingPopup();
        } else {

        }
    }

    function marketingPopup() {        
        body = document.body;
        var marketingDiv = document.createElement("DIV");
        var marketingDivContainer = document.createElement("DIV");
        var marketingDescription = document.createElement("DIV");
        var marketingButton = document.createElement("a");
        var marketingCloseButton = document.createElement("button");
        marketingDiv.id = "marketingDivRoot";
        marketingDivContainer.id = "marketingDivContainer";
        marketingCloseButton.classList.add('marketingDiv__close_button');
        marketingCloseButton.innerHTML = 'x'
        marketingDescription.classList.add('marketingDiv__description');

        marketingButton.classList.add('marketingDiv__button');
        marketingButton.href = marketingButtonLink;
        marketingButton.title = marketingButtonText;
        marketingButton.innerHTML = marketingButtonText;
        marketingDiv.classList.add("marketingDiv");
        marketingDivContainer.classList.add("marketingDiv__container");
        marketingDescription.innerHTML = "<h2>" + marketingTitle + "</h2><p>" + marketingText + "</p>";

        const addCSS = s => body.appendChild(document.createElement("style")).innerHTML = s;
        addCSS('.marketingDiv{font-size:16px;position:fixed;padding:0 64px;z-index:999999}.marketingDiv.bottom_left{left:0;bottom:0}.marketingDiv.bottom_right{right:0;bottom:0}.marketingDiv__img{width:100%;max-width:100%;height:200px;-o-object-fit:cover;object-fit:cover;-o-object-position:center;object-position:center}.marketingDiv__close_button{position:absolute;top:0;right:0;z-index:1;position:absolute;top:16px;right:16px;width:32px;height:32px;border:none;border-radius:4px}.marketingDiv__close_button:hover{opacity:0.9}.marketingDiv__container{position:relative;overflow:hidden;max-width:'+ marketingDivMaxWidth +';width:100%;-webkit-box-shadow:0 0 12px 0 rgba(0,0,0,0.2),0 0 24px 0 rgba(0,0,0,0.1);box-shadow:0 0 12px 0 rgba(0,0,0,0.2),0 0 24px 0 rgba(0,0,0,0.1);-webkit-animation:slideup 0.3s ease-in-out,fadeIn 0.3s ease-in-out;animation:slideup 0.3s ease-in-out,fadeIn 0.3s ease-in-out}.marketingDiv__description{padding:24px}.marketingDiv__description h2{font-size:21px;font-weight:700;margin:0}.marketingDiv__description p{font-weight:400;margin:16px 0}.marketingDiv__button{padding:16px 24px;display:block;font-weight:700;border-radius:5px;text-decoration:none}.marketingDiv__button:hover{text-decoration:none;opacity:0.9}.marketingDiv.exit .marketingDiv__container{-webkit-animation:exitBottom 0.3s ease-in-out,fadeOut 0.3s ease-in-out;animation:exitBottom 0.3s ease-in-out,fadeOut 0.3s ease-in-out}');
        addCSS('.marketingDiv__description h2, .marketingDiv__description p{color:' + marketingTextColor + ';}');
        addCSS('.marketingDiv__container{background-color:' + marketingBackgroundColor + ';}');
        addCSS('.marketingDiv__button, .marketingDiv__button:hover{background-color:' + marketingButtonBackgroundColor + '; color:' + marketingButtonColor + ';}');
        addCSS('.marketingDiv__close_button, .marketingDiv__close_button:hover{background-color:' + marketingBackgroundColor + '; color:' + marketingTextColor + ';}');
        addCSS('@-webkit-keyframes exitLeft{0%{-webkit-transform:translateX(0%);transform:translateX(0%)}to{-webkit-transform:translateX(-100%);transform:translateX(-100%)}}@keyframes exitLeft{0%{-webkit-transform:translateX(0%);transform:translateX(0%)}to{-webkit-transform:translateX(-100%);transform:translateX(-100%)}}@-webkit-keyframes slideup{0%{-webkit-transform:translateY(100%);transform:translateY(100%)}to{-webkit-transform:translateY(0%);transform:translateY(0%)}}@keyframes slideup{0%{-webkit-transform:translateY(100%);transform:translateY(100%)}to{-webkit-transform:translateY(0%);transform:translateY(0%)}}@-webkit-keyframes exitBottom{0%{-webkit-transform:translateY(0%);transform:translateY(0%)}to{-webkit-transform:translateY(200%);transform:translateY(200%)}}@keyframes exitBottom{0%{-webkit-transform:translateY(0%);transform:translateY(0%)}to{-webkit-transform:translateY(200%);transform:translateY(200%)}}@-webkit-keyframes fadeIn{0%{opacity:0}to{opacity:1}}@keyframes fadeIn{0%{opacity:0}to{opacity:1}}@-webkit-keyframes fadeOut{0%{opacity:1}to{opacity:0}}@keyframes fadeOut{0%{opacity:1}to{opacity:0}}');

        body.appendChild(marketingDiv);
        marketingDiv.classList.add(marketingPosition);
        marketingDiv.appendChild(marketingDivContainer);
        marketingDivContainer.appendChild(marketingCloseButton);

        if (typeof marketingImgSrc !== 'undefined') {        
            var marketingImg = document.createElement("img");
            marketingImg.classList.add('marketingDiv__img');
            marketingImg.src = marketingImgSrc;
            marketingDivContainer.appendChild(marketingImg);
        }
        
        marketingDivContainer.appendChild(marketingDescription);
        marketingDescription.appendChild(marketingButton);

        marketingCloseButton.onclick = function () {
            marketingPopupClose()
        };
    }


    function marketingPopupClose() {
        createMarketingCookie("marketingPopup", "false", 1);
        var a = document.getElementById("marketingDivRoot");
        a.classList.add("exit");
        a.remove();
    }

}, false);